Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355830 - Review Request: hidrd - HID report descriptor I/O library and conversion tool
Summary: Review Request: hidrd - HID report descriptor I/O library and conversion tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ondřej Lysoněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 16:27 UTC by Jaroslav Škarvada
Modified: 2016-07-29 02:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-28 23:53:41 UTC
olysonek: fedora-review+


Attachments (Terms of Use)
patch (deleted)
2016-07-20 10:50 UTC, Ondřej Lysoněk
no flags Details | Diff

Description Jaroslav Škarvada 2016-07-12 16:27:29 UTC
Spec URL: https://jskarvad.fedorapeople.org/hidrd/hidrd.spec
SRPM URL: hidrd-0.2.0-1.20160712git1abf7033.fc23.src.rpm
Description: Hidrd is a library and a tool for reading, writing and converting HID report descriptors in/between various formats.
Fedora Account System Username: jskarvad

Comment 1 Jaroslav Škarvada 2016-07-12 16:29:25 UTC
Spec URL: https://jskarvad.fedorapeople.org/hidrd/hidrd.spec
SRPM URL: https://jskarvad.fedorapeople.org/hidrd/hidrd-0.2.0-1.20160712git1abf7033.fc23.src.rpm
Description: Hidrd is a library and a tool for reading, writing and
converting HID report descriptors in/between various formats.
Fedora Account System Username: jskarvad

Comment 2 Ondřej Lysoněk 2016-07-19 11:57:16 UTC
Issues:
=======
- xml-common dependency unnecessary
  - https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

Suggestions:
============
- no %check section (the upstream package has a test suite)
- hidrd-convert should have a man page
- rpmlint complains about 'unused-direct-shlib-dependency', fix acording to
  instructions for libtool at
    https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

Comment 3 Jaroslav Škarvada 2016-07-19 14:26:25 UTC
Thanks for the review, hopefully all fixed, new files:
Spec URL: https://jskarvad.fedorapeople.org/hidrd/hidrd.spec
SRPM URL: hidrd-0.2.0-2.20160712git1abf7033.fc23.src.rpm

Comment 4 Ondřej Lysoněk 2016-07-20 10:50:57 UTC
Created attachment 1182029 [details]
patch

The fix for 'unused-direct-shlib-dependency' you provided doesn't seem to work. The attached patch created according to the instructions for libtool at [1] works.

[1] https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

Comment 5 Jaroslav Škarvada 2016-07-20 11:38:37 UTC
Sorry, I haven't noticed there is libtool and my rpmlint didn't spot the problem, hopefully it's fixed now, new version:

Spec URL: https://jskarvad.fedorapeople.org/hidrd/hidrd.spec
SRPM URL: hidrd-0.2.0-3.20160712git1abf7033.fc23.src.rpm

Comment 6 Jaroslav Škarvada 2016-07-20 11:39:01 UTC
(In reply to Jaroslav Škarvada from comment #5)
Spec URL: https://jskarvad.fedorapeople.org/hidrd/hidrd.spec
SRPM URL: https://jskarvad.fedorapeople.org/hidrd-0.2.0-3.20160712git1abf7033.fc23.src.rpm

Comment 7 Jaroslav Škarvada 2016-07-20 11:39:55 UTC
(In reply to Jaroslav Škarvada from comment #6)
Spec URL: https://jskarvad.fedorapeople.org/hidrd/hidrd.spec
SRPM URL: https://jskarvad.fedorapeople.org/hidrd/hidrd-0.2.0-3.20160712git1abf7033.fc23.src.rpm

Comment 8 Ondřej Lysoněk 2016-07-20 13:09:01 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- No issues found


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in /home/makerpm/2
     /review-hidrd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/xml(xml-common)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in hidrd-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hidrd-0.2.0-3.20160712git1abf7033.fc25.x86_64.rpm
          hidrd-devel-0.2.0-3.20160712git1abf7033.fc25.x86_64.rpm
          hidrd-debuginfo-0.2.0-3.20160712git1abf7033.fc25.x86_64.rpm
          hidrd-0.2.0-3.20160712git1abf7033.fc25.src.rpm
hidrd.x86_64: W: no-manual-page-for-binary hidrd-convert
hidrd-devel.x86_64: W: only-non-binary-in-usr-lib
hidrd-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: hidrd-debuginfo-0.2.0-3.20160712git1abf7033.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
hidrd-devel.x86_64: W: only-non-binary-in-usr-lib
hidrd-devel.x86_64: W: no-documentation
hidrd.x86_64: W: no-manual-page-for-binary hidrd-convert
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
hidrd-debuginfo (rpmlib, GLIBC filtered):

hidrd-devel (rpmlib, GLIBC filtered):
    hidrd(x86-64)
    libhidrd_fmt.so.0()(64bit)
    libhidrd_item.so.0()(64bit)
    libhidrd_opt.so.0()(64bit)
    libhidrd_strm.so.0()(64bit)
    libhidrd_usage.so.0()(64bit)
    libhidrd_util.so.0()(64bit)

hidrd (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libhidrd_fmt.so.0()(64bit)
    libhidrd_item.so.0()(64bit)
    libhidrd_opt.so.0()(64bit)
    libhidrd_strm.so.0()(64bit)
    libhidrd_usage.so.0()(64bit)
    libhidrd_util.so.0()(64bit)
    libm.so.6()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.5.8)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    libxml2.so.2(LIBXML2_2.6.2)(64bit)
    libxml2.so.2(LIBXML2_2.6.23)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
hidrd-debuginfo:
    hidrd-debuginfo
    hidrd-debuginfo(x86-64)

hidrd-devel:
    hidrd-devel
    hidrd-devel(x86-64)

hidrd:
    hidrd
    hidrd(x86-64)
    libhidrd_fmt.so.0()(64bit)
    libhidrd_item.so.0()(64bit)
    libhidrd_opt.so.0()(64bit)
    libhidrd_strm.so.0()(64bit)
    libhidrd_usage.so.0()(64bit)
    libhidrd_util.so.0()(64bit)



Source checksums
----------------
https://github.com/DIGImend/hidrd/archive/1abf7033a9753624309770d5fa54cf891477da08.tar.gz#/hidrd-0.2.0-20160712git1abf7033.tar.gz :
  CHECKSUM(SHA256) this package     : ed64a79373ade48d97bb14f88a4e5fd10874fa1701f3cf645838cd2d277e502b
  CHECKSUM(SHA256) upstream package : ed64a79373ade48d97bb14f88a4e5fd10874fa1701f3cf645838cd2d277e502b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n hidrd -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Gwyn Ciesla 2016-07-20 14:32:54 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/hidrd

Comment 10 Fedora Update System 2016-07-20 15:36:48 UTC
hidrd-0.2.0-3.20160712git1abf7033.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-72c0a31b17

Comment 11 Fedora Update System 2016-07-20 16:05:20 UTC
hidrd-0.2.0-3.20160712git1abf7033.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b86cca1f5b

Comment 12 Fedora Update System 2016-07-21 18:49:03 UTC
hidrd-0.2.0-3.20160712git1abf7033.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b86cca1f5b

Comment 13 Fedora Update System 2016-07-21 18:54:11 UTC
hidrd-0.2.0-3.20160712git1abf7033.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-72c0a31b17

Comment 14 Fedora Update System 2016-07-28 23:53:39 UTC
hidrd-0.2.0-3.20160712git1abf7033.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-07-29 02:51:17 UTC
hidrd-0.2.0-3.20160712git1abf7033.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.